@charset "UTF-8";
/**** Variables ****/
:root {
  --footerbg-color: #5e534c;
  --bg-color: #2d2722;
  --title-color: #ba7e56;
  --titlebg-color: #f4e7d3;
  --numbg-color: #ffe292;
  --light-point: #b36108;
  --font-color: #433a2f;
  --span: 1.25rem;
  --font-size-XS: 0.95rem;
  --font-size-S: 1rem;
  --font-size-M:1.1rem;
  --font-size-L:1.3rem;
  --font-size-XL:1.56rem;
  --font-size-XXL:1.8rem;
  --font-size-XXXL:2.187rem;
  --body-font: "Noto Sans TC", sans-serif;
  --scrollbar-bg: #40231d;
  --scrollbar-thumb: #d13843;
  --scrollbar-thumb-hover: #e24650;
}

/**** Font ****/
h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: bold;
}

h2 {
  font-size: calc(var(--font-size-S) * 2.5);
}

h3 {
  font-size: calc(var(--font-size-S) * 1.88);
}

h4 {
  font-size: calc(var(--font-size-S) * 1.57);
}

p {
  font-size: var(--font-size-S);
  line-height: calc(var(--font-size-S) * 1.75);
}

/**** Scrollbar ****/
::-webkit-scrollbar {
  width: 15px;
  background-color: var(--scrollbar-bg);
  /* bar 背景色 */
}

::-webkit-scrollbar-thumb {
  background-color: var(--scrollbar-thumb);
  /* bar 滑動色 */
}

::-webkit-scrollbar-thumb:hover {
  background-color: var(--scrollbar-thumb-hover);
}

/**** breakpoint ****/
/* popup基本預設設定 不用動 */
.popup-wrap {
  width: 100%;
  height: 100%;
  display: none;
  position: fixed;
  top: 0px;
  left: 0px;
  content: "";
  background: rgba(65, 46, 42, 0.9);
  z-index: 100;
}
.popup-wrap .popup-box {
  width: 100%;
  position: absolute;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  top: 50%;
  left: 50%;
}
.popup-wrap .popup-box .popup-content {
  position: absolute;
  z-index: 3;
  left: 50%;
  top: 50%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-transform: translate(-50%, -50%) scale(1.2);
          transform: translate(-50%, -50%) scale(1.2);
  -webkit-transition: opacity 0.2s ease, -webkit-transform 0.2s ease;
  transition: opacity 0.2s ease, -webkit-transform 0.2s ease;
  transition: transform 0.2s ease, opacity 0.2s ease;
  transition: transform 0.2s ease, opacity 0.2s ease, -webkit-transform 0.2s ease;
  opacity: 0;
  /* 關閉按鈕樣式 */
}
.popup-wrap .popup-box .popup-content.popup-animate {
  -webkit-transform: translate(-50%, -50%) scale(2);
          transform: translate(-50%, -50%) scale(2);
  opacity: 0;
}
.popup-wrap .popup-box .popup-content.popup-animate-done {
  -webkit-transform: translate(-50%, -50%) scale(1);
          transform: translate(-50%, -50%) scale(1);
  opacity: 1;
}
.popup-wrap .popup-box .popup-content .popupContent {
  width: 100%;
  max-width: 650px;
  background-color: #f4e7d3;
  padding: 2rem;
  position: relative;
}
.popup-wrap .popup-box .popup-content .popupContent h3 {
  text-align: center;
  color: #723f37;
  position: relative;
}
.popup-wrap .popup-box .popup-content .popupContent h3::after {
  content: ".............";
  position: absolute;
  bottom: -1rem;
  left: 50%;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
  font-size: var(--font-size-S);
  font-weight: 500;
  letter-spacing: 3px;
  color: #e8bd86;
}
.popup-wrap .popup-box .popup-content .popupContent ul {
  margin: 2rem 1.5rem;
}
.popup-wrap .popup-box .popup-content .popupContent ul li {
  background-color: rgba(255, 255, 255, 0.4);
  margin-bottom: 0.5rem;
  padding: 0 0.4rem;
}
.popup-wrap .popup-box .popup-content .popupContent ul a {
  color: #c27e2c;
  -webkit-transition: 0.3s ease;
  transition: 0.3s ease;
  will-change: transform;
  font-weight: 500;
}
.popup-wrap .popup-box .popup-content .popupContent ul a:hover {
  -webkit-transform: scale(1.02);
          transform: scale(1.02);
}
.popup-wrap .popup-box .popup-content .popupContent .cornerline {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  pointer-events: none;
  border: #f4e7d3 12px solid;
  -webkit-box-shadow: inset 0 0 0 12px #edddc5;
          box-shadow: inset 0 0 0 12px #edddc5;
}
.popup-wrap .popup-box .popup-content .popupContent .corner {
  position: absolute;
  background: url(../img/t-deco.png) no-repeat center;
  background-size: contain;
  width: 31px;
  height: 34px;
  max-width: 43px;
  max-height: 48px;
}
.popup-wrap .popup-box .popup-content .popupContent .corner.cornerTopLeft {
  top: 11px;
  left: 11px;
}
.popup-wrap .popup-box .popup-content .popupContent .corner.cornerTopRight {
  top: 11px;
  right: 11px;
  -webkit-transform: scaleX(-1);
          transform: scaleX(-1);
}
.popup-wrap .popup-box .popup-content .popupContent .corner.cornerBottomLeft {
  bottom: 11px;
  left: 11px;
  -webkit-transform: scaleY(-1);
          transform: scaleY(-1);
}
.popup-wrap .popup-box .popup-content .popupContent .corner.cornerBottomRight {
  bottom: 11px;
  right: 11px;
  -webkit-transform: scale(-1, -1);
          transform: scale(-1, -1);
}
.popup-wrap .popup-box .popup-content .popupContent .notePoring {
  position: absolute;
  top: -2rem;
  left: 2rem;
}
.popup-wrap .popup-box .popup-content .popupContent .notePoring img {
  width: 200px;
  max-width: 100%;
}
@media (max-width: 1024px) {
  .popup-wrap .popup-box .popup-content .popupContent .notePoring {
    top: -3rem;
    left: -1rem;
  }
}
@media (max-width: 821px) {
  .popup-wrap .popup-box .popup-content .popupContent .notePoring {
    top: -3rem;
    left: -2rem;
  }
  .popup-wrap .popup-box .popup-content .popupContent .notePoring img {
    width: 170px;
  }
}
@media (max-width: 450px) {
  .popup-wrap .popup-box .popup-content .popupContent .notePoring {
    left: 0;
  }
  .popup-wrap .popup-box .popup-content .popupContent .notePoring img {
    width: 120px;
  }
}
.popup-wrap .popup-box .popup-content .close-btn {
  width: 3.13rem;
  height: 0.66rem;
  display: block;
  -webkit-transition: 0.5s;
  transition: 0.5s;
  margin-bottom: 1rem;
  z-index: 3;
  right: -4rem;
  position: absolute;
}
@media (max-width: 821px) {
  .popup-wrap .popup-box .popup-content .close-btn {
    top: 2rem;
    right: 5rem;
  }
}
@media (max-width: 450px) {
  .popup-wrap .popup-box .popup-content .close-btn {
    right: 0;
    top: -3rem;
  }
}
.popup-wrap .popup-box .popup-content .close-btn:hover {
  scale: 1.1;
}
@media (max-width: 821px) {
  .popup-wrap .popup-box .popup-content {
    max-width: 100%;
    width: 100%;
    padding: 5rem;
  }
}
@media (max-width: 450px) {
  .popup-wrap .popup-box .popup-content {
    padding: 1.5rem;
  }
  .popup-wrap .popup-box .popup-content .popupContent ul {
    height: 500px;
    width: 315px;
    overflow-y: scroll;
    margin: 0 auto;
    margin-top: 2rem;
  }
  .popup-wrap .popup-box .popup-content .popupContent .cornerline {
    border: #f4e7d3 8px solid;
    -webkit-box-shadow: inset 0 0 0 8px #edddc5;
            box-shadow: inset 0 0 0 8px #edddc5;
  }
}
@media (max-width: 414px) {
  .popup-wrap .popup-box .popup-content {
    padding: 1rem;
  }
  .popup-wrap .popup-box .popup-content .popupContent ul {
    height: 330px;
  }
}
@media (max-width: 390px) {
  .popup-wrap .popup-box .popup-content .popupContent ul {
    height: 500px;
    width: 300px;
  }
}
@media (max-width: 375px) {
  .popup-wrap .popup-box .popup-content {
    padding: 1.5rem;
  }
  .popup-wrap .popup-box .popup-content .popupContent ul {
    width: 286px;
    height: 300px;
  }
}
@media (max-width: 344px) {
  .popup-wrap .popup-box .popup-content .popupContent ul {
    width: 240px;
    height: 350px;
  }
}